BuildRequires: gcc-c++
Name:           egoboo
Version:        2.7.5
Release:        alt1_10
Summary:        A top down graphical (3D) RPG in the spirit of Nethack
Group:          Games/Other
License:        GPLv3
URL:            http://egoboo.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
Source2:        KNOWN-BUGS.txt
Patch0:         %{name}-2.7.5-unix.patch
Patch1:         %{name}-2.4.3-opengl-wrapper.patch
BuildRequires:  libSDL_mixer-devel libSDL_ttf-devel libSDL_image-devel libenet-devel
BuildRequires:  desktop-file-utils
Requires:       %{name}-data = %{version} opengl-games-utils
Source44: import.info

%description
Egoboo is a top down rpg in the spirit of Nethack and other games of the
Roguelike genre. It uses OpenGL graphics and will have randomly generated
maps and customizable characters. The objective of the project is to bring the
fun and depth of roguelike gameplay, kicking and screaming, into the third
dimension.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
cp -a %{SOURCE2} .
sed -i 's/\r//g' game/change.log game/Egoboodoc.txt
iconv -f ISO-8859-1 -t UTF8 game/change.log > ChangeLog


%build
# We override ENET_OBJ and LDFLAGS to use the system enet
make -C game -f Makefile.unix ENET_OBJ= \
  CFLAGS="$RPM_OPT_FLAGS `sdl-config --cflags` -DENET11" \
  LDFLAGS="`sdl-config --libs` -lSDL_ttf -lSDL_mixer -lSDL_image -lGL -lGLU -lenet -lm"


%install
make -C game -f Makefile.unix ENET_OBJ= PREFIX=$RPM_BUILD_ROOT%{_prefix} \
  install

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install             \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE1}


%files
# note the end-users docs are in the -data package
%doc ChangeLog game/Egoboodoc.txt KNOWN-BUGS.txt
%{_bindir}/%{name}
/usr/libexec/%{name}
%{_datadir}/applications/%{name}.desktop


%changelog
* Thu Feb 17 2011 Igor Vlasenko <viy@altlinux.ru> 2.7.5-alt1_10
- converted from Fedora by srpmconvert script

